#if !defined(AFX_DUMPSTATIC_H__A4FF52DD_8B5C_4283_810B_1027CB68909A__INCLUDED_)
#define AFX_DUMPSTATIC_H__A4FF52DD_8B5C_4283_810B_1027CB68909A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DumpStatic.h : wb_[ t@C
//

typedef SHORT * LPSHORT;
/////////////////////////////////////////////////////////////////////////////
// CFontSelect
class CFontSelect
{
	CDC		*m_pDC;
	CFont	*m_pFont;
public:
	CFontSelect(CDC *pDC, CFont *pFont);
	inline ~CFontSelect(){Release();};
	void Release(void);
};

#define	DUMPLINEMAX		200
/////////////////////////////////////////////////////////////////////////////
// CDumpStatic EBhE
class CDumpStatic : public CStatic
{
private:
	int			m_Init;
	int			m_Top;
	int			m_Line;
	int			m_WriteLine;
	int			m_Col;
	int			m_Count;
	int			m_Scroll;

	int			m_FH;
	int			m_FW;
	int			m_LineMax;
	int			m_ColMax;

	LPSHORT		m_pList[DUMPLINEMAX];

	int			m_CXVSCROLL;
	RECT		m_rcClient;
	RECT		m_rcDraw;
	CScrollBar	*m_pScrollBar;
	COLORREF	m_clBack;
	CFont		*m_pFont;
private:
	void ClearControl(void);
	void InitControl(CDC *pDC);
	int GetPos(int n);
	int GetNext(int n);
	int AdjustPos(int n);
	void DrawChar(CDC *pDC, int x, int y, SHORT c);
	void OnDraw(CDC *pDC);
	void IncCount(void);
	void Scroll(CDC *pDC);
	void PutChar(CDC *pDC, char c, BOOL col);
	void OnScrollBarChange(void);
	void DrawWindow(void);
	inline void InvalidateControl(void){m_Init = FALSE;};

public:
	void PutChar(char c, BOOL col);
	void PutText(LPCSTR p, BOOL col);
	void Clear(void);
	inline int GetColWidth(void){return m_ColMax;};
// RXgNV
public:
	CDumpStatic();

// Agr[g
public:

// Iy[V
public:

// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CDumpStatic)
	public:
	protected:
	//}}AFX_VIRTUAL

// Cve[V
public:
	virtual ~CDumpStatic();

	// ꂽbZ[W }bv֐
protected:
	//{{AFX_MSG(CDumpStatic)
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_DUMPSTATIC_H__A4FF52DD_8B5C_4283_810B_1027CB68909A__INCLUDED_)
