#if !defined(AFX_MONITOR_H__FC471CB8_02D6_478A_A2C9_E428219118F0__INCLUDED_)
#define AFX_MONITOR_H__FC471CB8_02D6_478A_A2C9_E428219118F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Monitor.h : wb_[ t@C
//
#include "DumpStatic.h"
/////////////////////////////////////////////////////////////////////////////
// CSplitter class
class CSplitter
{
private:
	CWnd		*m_pWnd;
	int			m_splitter;
	int			m_top;
	int			m_bottom;
	int			m_edge;
	int			m_minsize;
	HCURSOR		m_hCursor[2];
private:
	BOOL HitTest(CPoint &point);
public:
	CSplitter();
	inline int GetSplitter(void){return m_splitter;};
	BOOL Create(CWnd *pWnd, int splitter, int top, int bottom, int minsize);
	void SetRange(int top, int bottom);
	int OnMouseMove(CPoint &point);
	void OnLButtonDown(CPoint &point);
	void OnLButtonUp(CPoint &point);
};
/////////////////////////////////////////////////////////////////////////////
// CMonitor _CAO
typedef struct {
	int		m_splitter;
	RECT	m_rc;
}MONISTORAGE;

class CMonitor : public CDialog
{
private:
	int				m_Init;
	int				m_XTX;
	int				m_XRX;
	CDumpStatic		m_sDlgViewTX;
	CDumpStatic		m_sDlgViewRX;

	RECT			m_rcClient;
	CSplitter		m_Splitter;
private:
	void UpdateItemAlign(void);
	void UpdateItemAlign(int cx, int cy, int splitter);
	void Dump(CDumpStatic *pStatic, int &x, BYTE c);

public:
	void Clear(void);
	void Add(LPCSTR pText, BOOL tx);
	void Dump(BYTE c, BOOL tx);
protected:
	HICON m_hIcon;
// RXgNV
public:
	CMonitor(CWnd* pParent = NULL);   // W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(CMonitor)
	enum { IDD = IDD_MONITOR };
	//}}AFX_DATA


// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CMonitor)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CMonitor)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	virtual void OnCancel();
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_MONITOR_H__FC471CB8_02D6_478A_A2C9_E428219118F0__INCLUDED_)
